{
  description = "Vetra";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/release-24.11";
    home-manager = {
      url = "github:nix-community/home-manager/release-24.11";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    nixos-hardware.url = "github:NixOS/nixos-hardware/master";
    nixpkgs-ahoneybun.url = "gitlab:ahoneybun-nix/nixpkgs/main";
  };

  outputs = inputs@{ self, nixpkgs, home-manager, nixos-hardware, nixpkgs-ahoneybun, ... }: {
    nixosConfigurations = {
      "vetra" = nixpkgs.lib.nixosSystem {
        system = "aarch64-linux";
        specialArgs = { inherit inputs; };
        modules = [
           nixos-hardware.nixosModules.raspberry-pi-4	
          ./configuration.nix
       ];
     };
   };
 };
}
